package com.qmth.distributed.print.updateObjectiveOmrResult;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class RecogData implements Serializable {
    private int algorithm;
    private int page_index;
    private int error_flag;
    private int blank_flag;
    private int angle;
    private Question examNumber;
    private Question absent;
    private QuestionRect breach;
    private QuestionRect pageNumber;
    private Question paperType;
    private List<Question> question;
    private List<Integer> block_struct;
    private List<String> extension = new ArrayList<>();

    public int getAlgorithm() {
        return algorithm;
    }

    public void setAlgorithm(int algorithm) {
        this.algorithm = algorithm;
    }

    public int getPage_index() {
        return page_index;
    }

    public void setPage_index(int page_index) {
        this.page_index = page_index;
    }

    public int getError_flag() {
        return error_flag;
    }

    public void setError_flag(int error_flag) {
        this.error_flag = error_flag;
    }

    public int getBlank_flag() {
        return blank_flag;
    }

    public void setBlank_flag(int blank_flag) {
        this.blank_flag = blank_flag;
    }

    public int getAngle() {
        return angle;
    }

    public void setAngle(int angle) {
        this.angle = angle;
    }

    public Question getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(Question examNumber) {
        this.examNumber = examNumber;
    }

    public Question getAbsent() {
        return absent;
    }

    public void setAbsent(Question absent) {
        this.absent = absent;
    }

    public QuestionRect getBreach() {
        return breach;
    }

    public void setBreach(QuestionRect breach) {
        this.breach = breach;
    }

    public QuestionRect getPageNumber() {
        return pageNumber;
    }

    public void setPageNumber(QuestionRect pageNumber) {
        this.pageNumber = pageNumber;
    }

    public Question getPaperType() {
        return paperType;
    }

    public void setPaperType(Question paperType) {
        this.paperType = paperType;
    }

    public List<Question> getQuestion() {
        return question;
    }

    public void setQuestion(List<Question> question) {
        this.question = question;
    }

    public List<Integer> getBlock_struct() {
        return block_struct;
    }

    public void setBlock_struct(List<Integer> block_struct) {
        this.block_struct = block_struct;
    }

    public List<String> getExtension() {
        return extension;
    }

    public void setExtension(List<String> extension) {
        this.extension = extension;
    }
}
