package com.qmth.teachcloud.data.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.qmth.teachcloud.common.bean.sync.TSyncDataStudent;
import com.qmth.teachcloud.data.mapper.TSyncDataStudentMapper;
import com.qmth.teachcloud.data.service.TSyncDataStudentService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 数据同步考生 服务实现类
 * </p>
 *
 * @author xf
 * @since 2024-12-10
 */
@Service
public class TSyncDataStudentServiceImpl extends ServiceImpl<TSyncDataStudentMapper, TSyncDataStudent> implements TSyncDataStudentService {

    @Override
    public void deleteByExamId(Long examId) {
        UpdateWrapper<TSyncDataStudent> updateWrapper = new UpdateWrapper<>();
        updateWrapper.lambda().eq(TSyncDataStudent::getExamId, examId);
        this.remove(updateWrapper);
    }
}
